Bug 124402 - Inspiron 9100 Broadcom 440x networking fails with dual boot
Inspiron 9100 Broadcom 440x networking fails with dual boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 07:38 EDT by Brian Parker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-29 04:15:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Parker 2004-05-26 07:38:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I have installed Fedora core 2 on a Dell Inspiron 9100 portable which
has a Broadcom 440x 10/100 network card (and a Dell truemobile 1300
WLAN that I don't use).
The network works fine if I boot Linux directly, but when I dual boot
to Windows XP first and then reboot the machine to run Linux, the
network will fail (no ping), and when I shutdown I get the shutdown
message-
"b44: eth0: BUG! Timeout waiting for bit 80000000 of register 428 to
clear".

If I fully power down the machine when closing Windows the problem
goes away- it is only when I restart without a complete powerdown that
the problem occurs (it seems that Windows XP leaves the network
hardware in some inconsistent state).

 

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1.Boot Windows XP on Inspiron 9100
2.Shutdown Windows and restart computer (don't power down). 
3.Boot Fedora core 2 (single or mp kernel)
    

Actual Results:  Network doesn't work- can't ping local machines.

Expected Results:  Network should work.

Additional info:
Comment 1 Arjan van de Ven 2004-05-26 07:52:46 EDT
can you try the latest kernel from
http://people.redhat.com/arjanv/2.6
it has a critical b44 bugfix that should fix this.
Comment 2 Brian Parker 2004-05-26 22:11:21 EDT
Yes, the latest kernel (smp-2.6.6-1.391.i686) fixes the problem, thanks.

Note You need to log in before you can comment on or make changes to this bug.